> ## Documentation Index
> Fetch the complete documentation index at: https://developers.usebreezee.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Receive Payment

### Responses

#### 200: Success

```json theme={null}
{
  "status": true,
  "payment_request": "lnbc10u1p3...",
  "fee_sats": 0
}
```

#### 422: Validation Error

```json theme={null}
{
  "detail": "Instance error"
}
```


## OpenAPI

````yaml POST /api/v1/breezee/receive-payment
openapi: 3.1.0
info:
  title: Breezee API
  version: 0.1.0
servers:
  - url: https://demo.usebreezee.xyz
    description: Server
security: []
paths:
  /api/v1/breezee/receive-payment:
    post:
      tags:
        - breezee
      summary: Receive Payment
      operationId: receive_payment_api_v1_breezee_receive_payment_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InvoiceRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    InvoiceRequest:
      properties:
        amount_sats:
          type: integer
          title: Amount Sats
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          default: ''
      type: object
      required:
        - amount_sats
      title: InvoiceRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````